#relativistic_velocities
# Python code to calculate S frame x,y,z velocities given S' frame
# x,y,z velocities, and speed V of S' frame relative to S frame
# V, as per convention, is in the x direction
#
# LAST UPDATED by Dr Andrew French December 2017

# Print welcome message
print("\n Welcome to the amazing Special Relativity velocity calculator! \n")

#Get inputs from user
V_over_c = float( input( " S' frame (x) velocity V as a fraction of c:  "))
vxdash_over_c = float( input( "\n Define S' frame x velocity as a fraction of c: "))
vydash_over_c = float( input( " Define S' frame y velocity as a fraction of c: "))
vzdash_over_c = float( input( " Define S' frame z velocity as a fraction of c: "))

#Calculate Lorentz factor
y = ( 1 - V_over_c**2)**(-0.5)

#Calculate x,y,z velocities in S frame
vx_over_c = (vxdash_over_c + V_over_c)/( 1 + V_over_c*vxdash_over_c )
vy_over_c = vydash_over_c /( y*( 1 + V_over_c*vxdash_over_c ))
vz_over_c = vzdash_over_c /( y*( 1 + V_over_c*vxdash_over_c ))

#Print results
print("\n vx over c = " + str(vx_over_c))
print(" vy over c = " + str(vy_over_c))
print(" vz over c = " + str(vz_over_c))

#Wait for user input to close console
input( "\n Press return to close ..." )

#End of code
